<?php

namespace Ulmus\SearchRequest\Attribute;

use Ulmus\SearchRequest\SearchMethodEnum;

#[\Attribute(\Attribute::TARGET_PROPERTY)]
class SearchParameter
{
    public function __construct(
        public ? string $parameter = null,
        public ? string $field = null,
        public bool $toggle = false,
        public SearchMethodEnum $method = SearchMethodEnum::Manual,
    ) {}
}